package com.ruoyi.demo.service;

import com.ruoyi.demo.entity.bo.PlanAddBo;
import com.ruoyi.demo.entity.bo.PlanBo;
import com.ruoyi.demo.entity.vo.PlanDetailVo;
import com.ruoyi.demo.entity.vo.PlanListVo;
import com.ruoyi.demo.entity.vo.PlanPushVo;

import java.util.List;

public interface PlanService {
    int addPlan(PlanAddBo bo);
    int deletePlan(List<String> ids);
    int checkPlan(String planId,Integer state,String auditComment,String userId);
    List<PlanListVo> getPlanList(PlanBo bo);
    PlanDetailVo getPlanDetail(String planId);
    List<PlanPushVo> getPlanPush();
}
